Show / Hide Table of Contents

# Struct Buddy

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Buddy

### Fields

| Improve this Doc View Source

#### ActiveCommand

##### Declaration

    public byte ActiveCommand

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AttackerLevel

##### Declaration

    public byte AttackerLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BattleBuddies

##### Declaration

    public byte *BattleBuddies

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Companion

##### Declaration

    public Buddy.BuddyMember Companion

##### Field Value

Type | Description
--- | ---
Buddy.BuddyMember |

| Improve this Doc View Source

#### CompanionPtr

##### Declaration

    public Buddy.BuddyMember*CompanionPtr

##### Field Value

Type | Description
--- | ---
Buddy.BuddyMember* |

| Improve this Doc View Source

#### CurrentColorStainId

##### Declaration

    public byte CurrentColorStainId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentXP

##### Declaration

    public uint CurrentXP

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DefenderLevel

##### Declaration

    public byte DefenderLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FavoriteFeed

##### Declaration

    public byte FavoriteFeed

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HealerLevel

##### Declaration

    public byte HealerLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Mounted

##### Declaration

    public byte Mounted

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Pet

##### Declaration

    public Buddy.BuddyMember Pet

##### Field Value

Type | Description
--- | ---
Buddy.BuddyMember |

| Improve this Doc View Source

#### PetPtr

##### Declaration

    public Buddy.BuddyMember*PetPtr

##### Field Value

Type | Description
--- | ---
Buddy.BuddyMember* |

| Improve this Doc View Source

#### Rank

##### Declaration

    public byte Rank

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SkillPoints

##### Declaration

    public byte SkillPoints

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SquadronTrustPtr

##### Declaration

    public Buddy.BuddyMember*SquadronTrustPtr

##### Field Value

Type | Description
--- | ---
Buddy.BuddyMember* |

| Improve this Doc View Source

#### Stars

##### Declaration

    public byte Stars

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TimeLeft

##### Declaration

    public float TimeLeft

##### Field Value

Type | Description
--- | ---
System.Single |